پرش به محتوا

الگو:Tree list/styles.css

از ویکی عهد
نسخهٔ تاریخ ۱۵ نوامبر ۲۰۲۵، ساعت ۱۶:۳۲ توسط Mwstance (بحث | مشارکت‌ها) (صفحه‌ای تازه حاوی «{{pp-template}}: .treeview ul { padding: 0; margin: 0; } .treeview li { padding: 0; margin: 0; list-style-type: none; list-style-image: none; } .treeview li li { background: url("https://upload.wikimedia.org/wikipedia/commons/3/3d/Treeview-grey-line-flipped.png") no-repeat right 0 top -2981px; @noflip: padding-right: 21px; text-indent: 0.3em; } .treeview li li:last-child { background-position: right 0 top -5971p...» ایجاد کرد)
(تفاوت) → نسخهٔ قدیمی‌تر | نمایش نسخهٔ فعلی (تفاوت) | نسخهٔ جدیدتر ← (تفاوت)
/* {{pp-template}} */
.treeview ul {
	padding: 0;
	margin: 0;
}

.treeview li {
	padding: 0;
	margin: 0;
	list-style-type: none;
	list-style-image: none;
}

.treeview li li {
	background: url("https://upload.wikimedia.org/wikipedia/commons/3/3d/Treeview-grey-line-flipped.png") no-repeat right 0 top -2981px;
	/* @noflip */
	padding-right: 21px;
	text-indent: 0.3em;
}

.treeview li li:last-child {
	background-position: right 0 top -5971px
}

/* first line here deals with new situation after RemexHTML switch,
 * where emptyline cause the first child to become the 2nd child. Such a mess
 */
.treeview li.emptyline > ul > .mw-empty-elt:first-child + .emptyline,
.treeview li.emptyline > ul > li:first-child {
	background-position: right 9px
}